package com.renrenliao.im.ui.adapter

import android.widget.CheckBox
import android.widget.TextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.renrenliao.im.R
import com.renrenliao.im.bean.UserInfo

/**
 **@ClassName GroupMemberAdapter
 **@Description
 **@Author gan
 **@Date 2022/6/10 20:27
 **/
class GroupMemberAdapter:BaseQuickAdapter<UserInfo,BaseViewHolder>(R.layout.item_groupmember) {

    override fun convert(holder: BaseViewHolder, item: UserInfo) {
        val tvName = holder.getView<TextView>(R.id.tv_name)
        val checkbox = holder.getView<CheckBox>(R.id.checkbox)
        tvName.text = item.nickname
        checkbox.isChecked = item.ext11
    }
}